use crate::url;
use crate::http_client::HttpClient;
use serde_json::json;

pub async fn post_request(handle: String) -> String {
    let url = url(&"update_handle");
    let client = HttpClient::new();
    
    let post = json!({
        "handle": handle
    });
    
    match client.post_json_with_auth(&url, &post).await {
        Ok(response) => response,
        Err(e) => format!("Error updating handle: {}", e),
    }
}